<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author  lorena.salamanca
@description  Pantalla y dialogos del visor geográfico 

-->

<h:form id="visorGeograficoForm" xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

    <p:dialog widgetVar="warningMunicipioVar" header="Advertencia"
              modal="false" resizable="false" height="30" appendToBody="true">
        <h:panelGrid columns="2">
            <p:graphicImage value="/images/warningIcon.gif" width="20"
                            height="20" />
            <h:outputText value="Debe seleccionar un municipio" />
        </h:panelGrid>
    </p:dialog>

    <p:dialog widgetVar="warningZonaVar" header="Advertencia" modal="false"
              resizable="false" height="30" appendToBody="true">
        <h:panelGrid columns="2">
            <p:graphicImage value="/images/warningIcon.gif" width="20"
                            height="20" />
            <h:outputText value="Debe seleccionar una zona" />
        </h:panelGrid>
    </p:dialog>

    <p:dialog widgetVar="warningNoDibujo" header="Advertencia"
              modal="false" resizable="false" height="30" appendToBody="true">
        <h:panelGrid columns="2">
            <p:graphicImage value="/images/warningIcon.gif" width="20"
                            height="20" />
            <h:outputText value="Debe seleccionar un área" />
        </h:panelGrid>
    </p:dialog>

    <p:dialog header="Visor Geográfico" widgetVar="divWV" modal="false"
              appendToBody="true" resizable="true" position="right, bottom" height="600"
              width="800">
        <p:ajax event="close" oncomplete="onCloseDivWV();" />
        <h:form>
            <iframe id="mapIframe" name="mapIframe" src="" width="800" height="600" 
                    marginheight="0" align="left" frameborder="0">
                Su navegador no soporta esta funcionalidad.</iframe>
        </h:form>
    </p:dialog>
</h:form>